import request from '@/utils/request'
import qs from 'qs'
import { baseUrl } from "../../../config/baseUrl";
import {upcloud_base_common} from "@/config/serviceSettings";

export const api = {
    queryDictList: upcloud_base_common + '/dict/listbytype',

    getRqcNoticeDetailsNew: baseUrl + '/print/v1.0/getRqcNoticeDetailsNew',
    getRqcNoticePrintDataNew: baseUrl + '/print/v1.0/getRqcNoticePrintDataNew',
    getRqcInstockLabelPrintData: baseUrl + '/print/v1.0/getRqcInstockLabelPrintData	',
    getRqcDetailsPrintData: baseUrl + '/print/v1.0/getRqcDetailsPrintData',

};

export function getRqcNoticeDetailsNew(parameter) {
    return request({
        method: 'get',
        url: api.getRqcNoticeDetailsNew,
        params: parameter,
    })
}
//汇总单打印
export function getRqcNoticePrintDataNew(parameter) {
    return request({
        method: 'get',
        url: api.getRqcNoticePrintDataNew,
        params: parameter,
    })
}
// 标签打印
export function getRqcInstockLabelPrintData(parameter) {
    return request({
        method: 'post',
        url: api.getRqcInstockLabelPrintData,
        data: parameter,
    })
}
// 明细打印
export function getRqcDetailsPrintData(parameter) {
    return request({
        method: 'post',
        url: api.getRqcDetailsPrintData,
        data: parameter,
    })
}